Announcement

Collapse
No announcement yet.

Running updates/upgrades

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • abcd567
    replied
    @Nomax2000
    Upgrading Pi24's mut v 1.14 to 1.15 is not a clean solution and may lead to complications.

    It is better to go for a Raspbian image and install dump1090-mut ver 1.15

    @theredguy has taken right decision.

    Please see OPTION (B) of following post

    How to Feed Data to Multiple Sites - A Brief Guide


    NOTE: With Raspbian image, enable SSH as follows:

    While the microSD card is still in the card reader of your Laptop/Desktop, in File Explorer (Windows) or Finder (Mac) click on drive letter of the microSD card (labelled boot) to open it. It will open folder /boot which has many files & folders. In the /boot folder, create a new text file and name it ssh.
    Last edited by abcd567; 2019-05-08, 19:58.

    Leave a comment:


  • theredguy
    replied
    Thanks for your replies I'll see whats available to update later.

    After looking around I decided to go with Raspbian lite and used Dump1090 1.15~dev. It takes more time to set up for the novice but I felt it would provide a better base for running the different feeds.

    Leave a comment:


  • Nomax2000
    replied
    I took the image from the flightradar24 website, the PI24 image.

    pi@raspberrypi:~ $ lsb_release -c
    Codename: stretch

    pi@raspberrypi:~ $ cat /etc/os-release
    PRETTY_NAME="Raspbian GNU/Linux 9 (stretch)"
    NAME="Raspbian GNU/Linux"
    VERSION_ID="9"
    VERSION="9 (stretch)"
    ID=raspbian
    ID_LIKE=debian
    HOME_URL="http://www.raspbian.org/"
    SUPPORT_URL="http://www.raspbian.org/RaspbianForums"
    BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"
    Last edited by Nomax2000; 2019-05-08, 19:04.

    Leave a comment:


  • abcd567
    replied
    Which OS did you install, PI24 image or Raspbian image?
    Please give following commands and post their outputs
    Code:
    cat /etc/os-release
    
    lsb_release -c

    Leave a comment:


  • Nomax2000
    replied
    Hi, for me the output is:

    dump1090-mutability:
    Installed: 1.14
    Candidate: 1.14
    Version table:
    *** 1.14 100
    100 /var/lib/dpkg/status

    How do I update to version 1.15?

    Best

    Leave a comment:


  • abcd567
    replied
    Running following command will tell if you have version 1.15 or ver 1.14 of dump1090-mutability.

    For Flightaware Mlat feed back, you need ver 1.15
    The ver 1.14 is unsuitable for Flightaware Mlat feedback.

    Code:
    apt-cache policy dump1090-mutability

    Leave a comment:


  • wiedehopf
    replied
    Normally it's not a problem.

    But if you like updates, dump1090-fa is more or less the updated version of dump1090-mut.
    Also make sure you don't use mutability 1.14, it doesn't understand MLAT and that can create all sorts of problems.

    (can't remember any account verification for planefinder, only clicking a link in a mail. so make sure you check your mail, maybe Junk)

    Leave a comment:


  • theredguy
    started a topic Running updates/upgrades

    Running updates/upgrades

    Hi

    Totally new to this so still finding my feet.

    I started with clean OS install, sorted dump1090-mut and got FR24 feed up and running.

    Yesterday/today I've built a 4 legged spider antenna to increase my range and have installed feeders for FA, Ads-b exchange and plan to add Planefinder when my account is varified.

    The one thing I'm concerned about is updates, will I be safe running sudo apt-get update/sudo apt-get dist-upgrade as I like to keep current or do I run the risk of screwing with the feeders.

    It took quite a while to get things right so I don't want to ruin it straight away.

    Cheers

Working...
X